# SYSCS_UTIL.SYSCS_GET_RUNTIMESTATISTICS system function

The `SYSCS_UTIL.SYSCS_GET_RUNTIMESTATISTICS` function returns a VARCHAR(32762) value representing the query execution plan and run time statistics for a java.sql.ResultSet. A query execution plan is a tree of execution nodes. There are a number of possible node types. Statistics are accumulated during execution at each node. The types of statistics include the amount of time spent in specific operations, the number of rows passed to the node by its children, and the number of rows returned by the node to its parent. (The exact statistics are specific to each node type.) `SYSCS_UTIL.SYSCS_GET_RUNTIMESTATISTICS` is most meaningful for DML statements such as SELECT, INSERT, DELETE and UPDATE.

#### Syntax

    VARCHAR(32762) SYSCS_UTIL.SYSCS_GET_RUNTIMESTATISTICS()

#### Example

    VALUES SYSCS_UTIL.SYSCS_GET_RUNTIMESTATISTICS()

Parent topic: Built-in system functions